Project Rankings#
Get project rankings based on various criteria
Endpoint#
GET |
https://vulcan.api.synmax.com/v2/project_rankings |
Request Examples#
curl -X GET "https://vulcan.api.synmax.com/v2/project_rankings" \
-H "Access-Key: $API_TOKEN"
from synmax.vulcan.v2 import VulcanApiClient
SYNMAX_ACCESS_TOKEN = "<YOUR_API_TOKEN>"
vulcan_api_client = VulcanApiClient(access_token=SYNMAX_ACCESS_TOKEN)
project_rankings_resp = vulcan_api_client.project_rankings()
project_rankings_df = project_rankings_resp.df()
project_rankings_df.head()
Response#
Parameters |
Type |
Description |
Example |
|---|---|---|---|
created_at |
string |
ISO date on which the record was created |
2025-04-28T12:34:56Z |
date_updated |
string |
Date on which the project rank was last updated |
2025-04-28 |
final_rank |
number |
Indicates the likelihood of a plant’s construction. Values range from 0-7, a higher-ranking number indicates a higher likelihood of plant construction. |
5.5905 |
generator_id |
string |
EIA ID given to each generator for a given plant |
LTRSP |
modified_at |
string |
ISO date on which the record was last modified |
2025-04-28T12:34:56Z |
plant_id |
integer |
EIA plant id |
67755 |
synmax_id |
string |
Unique key of plant id and generator id |
67755-LTRSP |
vulcan_proposed_online_date |
string |
Forecasted online date for a given plant using a conservative build outlook similar to the last 5 years. |
2027-08-02 |
vulcan_proposed_v2_online_date |
string |
Forecasted online date for a given plant incoporating seasonal factors and build outlook similar to the last 2 years. |
2027-01-01 |
Normal Output#
plant_id |
generator_id |
final_rank |
date_vulcan_proposed_online |
date_updated |
date_vulcan_proposed_v2_online |
synmax_id |
created_at |
modified_at |
|---|---|---|---|---|---|---|---|---|
66685 |
WH001 |
1.3299000263214111 |
2028-10-12 |
2024-11-20 |
66685-WH001 |
TBD |
TBD |
|
66685 |
WH002 |
1.3299000263214111 |
2028-10-12 |
2024-11-20 |
66685-WH002 |
TBD |
TBD |
|
66685 |
WH003 |
1.3299000263214111 |
2028-10-12 |
2024-11-20 |
66685-WH003 |
TBD |
TBD |
|
66686 |
HL001 |
1.3299000263214111 |
2030-03-26 |
2024-11-20 |
66686-HL001 |
TBD |
TBD |
|
66686 |
HL002 |
1.3299000263214111 |
2030-03-26 |
2024-11-20 |
66686-HL002 |
TBD |
TBD |
|
66686 |
HL003 |
1.3299000263214111 |
2030-03-26 |
2024-11-20 |
66686-HL003 |
TBD |
TBD |
|
66686 |
HL004 |
1.3299000263214111 |
2030-03-26 |
2024-11-20 |
66686-HL004 |
TBD |
TBD |
|
66684 |
HL001 |
1.392199993133545 |
2030-03-26 |
2024-11-20 |
66684-HL001 |
TBD |
TBD |
|
66684 |
HL002 |
1.392199993133545 |
2030-03-26 |
2024-11-20 |
66684-HL002 |
TBD |
TBD |
|
66684 |
HL003 |
1.392199993133545 |
2030-03-26 |
2024-11-20 |
66684-HL003 |
TBD |
TBD |